org.apache.lucene.facet.taxonomy.writercache.lru

## Class NameHashIntCacheLRU

- java.lang.Object
- - org.apache.lucene.facet.taxonomy.writercache.lru.NameHashIntCacheLRU

-     public class NameHashIntCacheLRU
      extends Object

  An an LRU cache of mapping from name to int. Used to cache Ordinals of category paths. It uses as key, hash of the path instead of the path. This way the cache takes less RAM, but correctness depends on assuming no collisions.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getMaxSize()`
    `int` | `getSize()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getMaxSize

          public int getMaxSize()

    - #### getSize

          public int getSize()

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.